Module javafx.graphics
Package javafx.css

# Class StyleableLongProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.LongExpression
javafx.beans.property.ReadOnlyLongProperty
javafx.beans.property.LongProperty
javafx.beans.property.LongPropertyBase
javafx.css.StyleableLongProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableLongValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableLongValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

Direct Known Subclasses:
  `SimpleStyleableLongProperty`

    public abstract class StyleableLongProperty
    extends LongPropertyBase
    implements StyleableProperty<Number>

This class extends `LongPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `LongProperty`, that would otherwise be implemented as a `LongPropertyBase`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `LongPropertyBase`, `CssMetaData`, `StyleableProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StyleableLongProperty()` | The constructor of the `StyleableLongProperty`.
  `StyleableLongProperty​(long initialValue)` | The constructor of the `StyleableLongProperty`.

- ## Method Summary

  ### Methods declared in class javafx.beans.property.LongPropertyBase

  `fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.property.LongProperty

  `asObject, longProperty`

  ### Methods declared in class javafx.beans.property.ReadOnlyLongProperty

  `readOnlyLongProperty`

  ### Methods declared in class javafx.beans.binding.LongExpression

  `add, add, add, add, divide, divide, divide, divide, longExpression, longExpression, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.binding.NumberExpression

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, subtract`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableLongValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableNumberValue

  `doubleValue, floatValue, intValue, longValue`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.css.StyleableProperty

  `applyStyle, getCssMetaData, getStyleOrigin`

  ### Methods declared in interface javafx.beans.value.WritableLongValue

  `get, set, setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### StyleableLongProperty

    public StyleableLongProperty()
    The constructor of the `StyleableLongProperty`.

  - ### StyleableLongProperty

    public StyleableLongProperty​(long initialValue)
    The constructor of the `StyleableLongProperty`.
    Parameters:
      `initialValue` - the initial value of the wrapped `Object`